.\"	$NetBSD: expand.1,v 1.10 2003/08/07 11:13:39 agc Exp $
.\"
.\" Copyright (c) 1980, 1990, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"	@(#)expand.1	8.1 (Berkeley) 6/9/93
.\"
.Dd December 20, 2008
.Dt EXPAND 1
.Os
.Sh NAME
.Nm expand ,
.Nm unexpand
.Nd expand tabs to spaces, and vice versa
.Sh SYNOPSIS
.Nm
.Op Fl t Ar tabstop
.Op Fl t Ar tab1,tab2,...,tabn
.Op Ar
.Nm unexpand
.Op Fl a
.Op Fl t Ar tab1,tab2,...,tabn
.Op Ar
.Sh DESCRIPTION
.Nm
processes the named files or the standard input writing
the standard output with tabs changed into blanks.
Backspace characters are preserved into the output and decrement
the column count for tab calculations.
.Nm
is useful for pre-processing character files
(before sorting, looking at specific columns, etc.) that
contain tabs.
.Pp
If a single
.Ar tabstop
argument is given, then tabs are set
.Ar tabstop
spaces apart instead of the default 8.
If multiple tabstops are given then the tabs are set at those
specific columns.
.Pp
.Nm unexpand
puts tabs back into the data from the standard input or the named
files and writes the result on the standard output.
.Pp
Option (with
.Nm unexpand
only):
.Bl -tag -width flag
.It Fl a
By default, only leading blanks and tabs
are reconverted to maximal strings of tabs.
If the
.Fl a
option is given, then tabs are inserted whenever they would compress the
resultant file by replacing two or more characters.
.El
.Sh HISTORY
The
.Nm
command appeared in
.Bx 3.0 .
